Subject: bug#61489: [PATCH v2] Increase BLOCK_ALIGN from 1024 to 32768

From: Konstantin Kharlamov <[email-masked]>
Date: Sat, 04 Mar 2023 21:58:06 +0300

On Sat, 2023-03-04 at 18:33 +0300, Konstantin Kharlamov wrote:
> On Sat, 2023-03-04 at 17:00 +0200, Eli Zaretskii wrote:
> > > Cc: [email-masked]
> > > Date: Sat, 04 Mar 2023 13:26:58 +0200
> > > From: Eli Zaretskii <[email-masked]>
> > > 
> > > > * src/alloc.c (BLOCK_ALIGN): increase from 1024 to 32768
> > > 
> > > Thanks, installed on the master branch, and closing the bug.
> > 
> > Note: this change breaks the unexec build, see bug#61960.
> 
> Oh, I see, thanks! I'll try to build Emacs with sanitizer, it's usually pretty
> good at that kind of bugs. Will see if there's anything obvious

FTR: it might take longer than I expected, because for unknown reason Emacs built with sanitizer isn't built with sanitizer. Yeah, lol. I passed the `-fsanitize=address,undefined` to CFLAGS, and `./configure …` output even confirmed it registered them. However, after everything was built, it does not make use of sanitizer.

I also realised I forgot to pass `-lasan` to LDFLAGS, so the build should've failed at link-stage. Apparently there are some bugs in the build system related to passing cflags through to the actual compiler.